/* colors.h
 * Header file for color handling functions contained in colors.c
 *
 * this code is part of the xled program
 *
 * Copyright 1997 Jan Schoenepauck & Joachim Gassen 
 * aka Fast Forward Productions
 *
 * check out http://fb4-1112.uni-muenster.de/ffwd
 *
 */

#ifndef _COLORS_H
#define _COLORS_H

/* Usually pixel colors are specified, which are of type unsigned long */
#define PIXEL unsigned long 

/* Standard pixels defaults for the display */
PIXEL black, white;

Colormap cmap;
PIXEL window_bg, led_on, led_off, z_led_on, z_led_off;

extern int alloc_named_color (Colormap cmap, char *colorname, 
                              unsigned long *pixel);
extern int init_cmap (void);

#endif
